ChatroomMessageReaction
Returns a list of all ChatroomMessageReactions
GET/api/chat/chatroom_message_reaction
Query parameters
chatroomstring | _LIST |
participantstring | _LIST |
messagestring | _LIST |
deletedboolean | This property is used to mark an entity as deleted / archived | _LIST |
createdstring | _LIST |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all ChatroomMessageReactionsarray<ChatroomMessageReaction2>
Show fields (6)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatroomMessageReactionController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
]Add a new ChatroomMessageReaction
POST/api/chat/chatroom_message_reaction
Request body application/json
dataChatroomMessageReaction3Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
messageChatroomMessage4Chat message that was reacted to.
participantChatroomParticipant5Participant who reacted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new ChatroomMessageReactionChatroomMessageReaction3
Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
messageChatroomMessage4Chat message that was reacted to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
participantChatroomParticipant5Participant who reacted.
Show fields (6)
idintegerPrimary key of the participant. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request POST \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
image_url: 'https://vynst.de',
emoji: 'string',
chatroom: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
message: {
id: 42,
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
participant: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
}
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"
payload = { "data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
}
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction', [
'body' => '{"data":{"id":42,"image_url":"https://vynst.de","emoji":"string","chatroom":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"message":{"id":42,"created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"participant":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true}}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction"
payload := strings.NewReader("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatroom_message_reaction.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatroomMessageReactionController.post(ChatroomMessageReaction.fromJson({
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Returns a single ChatroomMessageReaction entry.
GET/api/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single ChatroomMessageReactionChatroomMessageReaction3
Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
messageChatroomMessage4Chat message that was reacted to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
participantChatroomParticipant5Participant who reacted.
Show fields (6)
idintegerPrimary key of the participant. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatroomMessageReactionController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Updates an existing ChatroomMessageReaction entry.
PUT/api/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatroomMessageReaction3Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
messageChatroomMessage4Chat message that was reacted to.
participantChatroomParticipant5Participant who reacted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single ChatroomMessageReactionChatroomMessageReaction3
Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
messageChatroomMessage4Chat message that was reacted to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
participantChatroomParticipant5Participant who reacted.
Show fields (6)
idintegerPrimary key of the participant. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PUT \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
image_url: 'https://vynst.de',
emoji: 'string',
chatroom: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
message: {
id: 42,
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
participant: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
}
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
payload = { "data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
}
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', [
'body' => '{"data":{"id":42,"image_url":"https://vynst.de","emoji":"string","chatroom":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"message":{"id":42,"created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"participant":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true}}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/chatroom_message_reaction.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatroomMessageReactionController.put(ChatroomMessageReaction.fromJson({
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Updates an existing ChatroomMessageReaction entry.
PATCH/api/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataChatroomMessageReaction3Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
messageChatroomMessage4Chat message that was reacted to.
participantChatroomParticipant5Participant who reacted.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update single ChatroomMessageReactionChatroomMessageReaction3
Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
messageChatroomMessage4Chat message that was reacted to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
participantChatroomParticipant5Participant who reacted.
Show fields (6)
idintegerPrimary key of the participant. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {
id: 42,
image_url: 'https://vynst.de',
emoji: 'string',
chatroom: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
message: {
id: 42,
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
},
participant: {
id: 42,
name: 'Beispiel',
image_url: 'https://vynst.de',
created: '2026-10-15T09:30:00+02:00',
updated: '2026-10-15T09:30:00+02:00',
deleted: true
}
}
})
};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
payload = { "data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": True
}
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', [
'body' => '{"data":{"id":42,"image_url":"https://vynst.de","emoji":"string","chatroom":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"message":{"id":42,"created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true},"participant":{"id":42,"name":"Beispiel","image_url":"https://vynst.de","created":"2026-10-15T09:30:00+02:00","updated":"2026-10-15T09:30:00+02:00","deleted":true}}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"image_url\":\"https://vynst.de\",\"emoji\":\"string\",\"chatroom\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"message\":{\"id\":42,\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true},\"participant\":{\"id\":42,\"name\":\"Beispiel\",\"image_url\":\"https://vynst.de\",\"created\":\"2026-10-15T09:30:00+02:00\",\"updated\":\"2026-10-15T09:30:00+02:00\",\"deleted\":true}}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}
}
}),
);
print(response.body);{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Delete a single ChatroomMessageReaction
DELETE/api/chat/chatroom_message_reaction/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single ChatroomMessageReactionChatroomMessageReaction3
Show fields (9)
idintegerPrimary key of the reaction. Internal ID.
emojistringEmoji of the reaction.
chatroomChatroom10Chat room the reaction belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
messageChatroomMessage4Chat message that was reacted to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
participantChatroomParticipant5Participant who reacted.
Show fields (6)
idintegerPrimary key of the participant. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
image_urlstringURL of the image of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request DELETE \
--url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'DELETE', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Delete,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42")
.delete(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatroom_message_reaction_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatroomMessageReactionController.delete('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"image_url": "https://vynst.de",
"emoji": "string",
"chatroom": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"message": {
"id": 42,
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"participant": {
"id": 42,
"name": "Beispiel",
"image_url": "https://vynst.de",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
},
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}